#include <gtk/gtk.h>

/*
 * Based on: https://trac.macports.org/ticket/64484
 * 
 * gcc $(pkg-config --libs --cflags gtk+-3.0) -o gtk-test gtk-test.c
 */

int main(int argc, char *argv[])
{
    GtkWidget *window, *entry;
    gtk_init(&argc, &argv);
    window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
    entry = gtk_entry_new();
    gtk_container_add(GTK_CONTAINER(window), entry); 
    g_signal_connect(window, "destroy", G_CALLBACK (gtk_main_quit), NULL);
    gtk_widget_show_all(window);
    gtk_main();
    return 0;
}